Saltar al contenido principal
POST
/
v1
/
maintenance
/
workOrders
/
{workOrderReference}
/
actions
/
{actionId}
/
complete
Complete an existing action
curl --request POST \
  --url https://api.bold-factory.com/v1/maintenance/workOrders/{workOrderReference}/actions/{actionId}/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeReference": "<string>",
  "notes": "<string>",
  "result": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

workOrderReference
string
requerido
actionId
string
requerido

Cuerpo

application/json
employeeReference
string
requerido
notes
string
requerido
result
null | string

Respuesta

OK